// Revision: 68 1.5.1.4 source/ui/baseapp/iaccel.inl, userinput, ioc.v400, trackPseudoLevel  
#ifndef _IACCEL_INL_
#define _IACCEL_INL_
/*******************************************************************************
* FILE NAME: iaccel.inl                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline functions for the          *
*   classes declared in iaccel.hpp.                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/

#include <ireslib.hpp>

inline IWindow* IAccelerator::owner ( ) const
{
  return pwndClOwner;
}

inline IAccelerator& IAccelerator::set ( unsigned long accelResId )
{
  return this->set( IResourceId( accelResId ) );
}

inline IBool IAccelerator::isSet ( ) const
{
  return isSetCl;
}

#endif // _IACCEL_INL_
