// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 19 1.4.1.3 source/core/collect/iaeqkey.h, collection, ioc.v400, 981126 
#ifndef _IAEQKEY_
#define _IAEQKEY_

#include <iaequal.h>
#include <iakey.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key>
class IAEqualityKeyCollection :
  public IAEqualityCollection <Element>,
  public IAKeyCollection <Element, Key> 
{
  typedef  IACollectionImpl Implementation;

public:


           IAEqualityKeyCollection
                            (INotifier&);


          ~IAEqualityKeyCollection
                            ();

protected:

           IAEqualityKeyCollection
                            ();

           IAEqualityKeyCollection
                            (IAEqualityKeyCollection
                              <Element, Key> const&);

private:








};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <iaeqkey.inl>


#pragma info (restore)


#endif // _IAEQKEY_
