//----------------------------------------------------------------------------
// FILE NAME: ibasepl.hpp
//
// DESCRIPTION:
//      Pragma library definitions for base
//
// COPYRIGHT:
//   IBM Open Class Library
//   Licensed Materials - Property of IBM
//
//   5645-001
//   (C) Copyright IBM Corporation 1992, 1997
//
// Revision: 78  1.6.1.9  source/core/base/ibasepl.hpp, appsupport, ioc.v400, 981126  
// ----------------------------------------------------------------------------

#ifndef _IBASEPL_
#define _IBASEPL_

#ifndef IC_IMPORTB
  #if defined(__WINDOWS__) && defined(__IMPORTLIB__)
    #define IC_IMPORTB  _Import
  #else
    #define IC_IMPORTB
  #endif
#endif

#ifndef IC_EXPORTB



    #define IC_EXPORTB

#endif

/*-------------------------- Pragma Library Support --------------------------*/
#ifndef _IPRAGLIB_
#include <ipraglib.h>
#endif

#if !defined(__NO_DEFAULT_LIBS__)
    #if !defined(__NO_BASE_LIB__)
















        	// OS/2 SWORD needs to be done without the OPENCLASS_LIBRARY_NAME_2 macro because
        	// the compiler doesn't support preprocessor token replacement in the pragma
    	    // library directives.
            #if __IBMCPP__ >= 360
        		#pragma library(OPENCLASS_LIBRARY_NAME_2(base,ob))
            #else // do SWORD
            	#ifdef __IMPORTLIB__
        			#pragma library("cppobi36.lib")
    	        #else
    		    	#pragma library("cppobs36.lib")
            	#endif
            #endif
            #if !defined(__IMPORTLIB__)
                #pragma library("os2386.lib")
            #endif


















    #else
        // This will be seen in the context of building the library only.









            #pragma library("os2386.lib")















    #endif // __NO_BASE_LIB__
#endif  // __NO_DEFAULT_LIBS__

#endif // _IBASEPL_
