// Revision: 15 1.4.1.4 source/ui/cnr/icnrnhdr.hpp, container, ioc.v400, trackPseudoLevel 
#ifndef _ICNRNHDR_
#define _ICNRNHDR_
/*******************************************************************************
* FILE NAME: icnrnhdr.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*    IContainerControlNotifyHandler                                            *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class IContainerControlNotifyHandler : public IWindowNotifyHandler
{
typedef IWindowNotifyHandler
  Inherited;

public:
/*----------------------------- Constructors ---------------------------------*/
  IContainerControlNotifyHandler  ( );
virtual
  ~IContainerControlNotifyHandler ( );

protected:
/*---------------------------- Event Dispatching -----------------------------*/
virtual IBool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ICNRNHDR_ */
