// Revision: 93 1.3.1.4 source/ui/drag/idmprov.c, dragdrop, ioc.v400, trackPseudoLevel 
#ifndef _IDMPROV_C_
#define _IDMPROV_C_

/*******************************************************************************
* FILE NAME: idmprov.c                                                         *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the template functions                *
*   declared in idmprov.hpp.                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/
#include <idmprov.hpp>

template<class T>
IDMItemProviderFor<T>::IDMItemProviderFor()
{
} // IDMItemProviderFor

template<class T>
IDMItemProviderFor<T>::~IDMItemProviderFor()
{
} // ~IDMItemProviderFor

template<class T>
IBool
IDMItemProviderFor<T>::provideSourceItems   ( const IDMSourceOperation::Handle& sourceOperation )
{
  return( T::generateSourceItems( sourceOperation.getAlias() ) );
} //provideSourceItems

template<class T>
IDMItem::Handle
IDMItemProviderFor<T>::provideTargetItemFor ( const IDMItem::Handle& dragItem )
{
  return( (IDMItem::Handle)new T( dragItem ) );
} // provideTargetItemFor

#endif // _IDMPROV_C_
