// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 87 1.5.1.4 source/core/collect/iiasb.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIASB_
#define _IIASB_

#include <iiacllct.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IASortedBagImpl : public IACollectionImpl {
public:

          ~IASortedBagImpl
                            ();

  virtual
  void     Antivalence      (IASortedBagImpl const&);

  virtual
  void     AddAntivalence   (IASortedBagImpl const&,
                             IASortedBagImpl const&); 

  virtual
  void     AddDifference    (IASortedBagImpl const&,
                             IASortedBagImpl const&); 

  virtual
  void     AddIntersection  (IASortedBagImpl const&,
                             IASortedBagImpl const&);

  virtual
  void     AddUnion         (IASortedBagImpl const&,
                             IASortedBagImpl const&);

  virtual
  long     Compare          (IASortedBagImpl const&,
                             ICompFunc, void*) const;

  virtual
  void     Difference       (IASortedBagImpl const&);

  virtual
  void     Intersection     (IASortedBagImpl const&);

  virtual
  INumber  NumberOfDifferentElements
                            () const = 0;

  virtual
  IBool     SetToNextDifferentElement
                            (ICursorImpl&) const = 0;

  virtual
  void     Union            (IASortedBagImpl const&);

  virtual
  IBool     operator==       (IASortedBagImpl const&) const = 0;

  IBool     operator!=       (IASortedBagImpl const&) const;

protected:

           IASortedBagImpl
                            (Ops&);

private:





























};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif






#pragma info (restore)


#endif // _IIASB_
