// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 71 1.3.1.2 source/core/collect/iihpseq.inl, collection, ioc.v400, 981126 
#ifndef _IIHPSEQ_INL_
#define _IIHPSEQ_INL_

// -------------------
// IHeapOnSequenceImpl
// -------------------

// public members

template <class Base>
inline void
IHeapOnSequenceImpl <Base>::
operator= (IHeapOnSequenceImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}

// -------------------
// IAHeapOnSequenceOps
// -------------------

// public members

template <class Base>
inline
IAHeapOnSequenceOps <Base>::
~IAHeapOnSequenceOps ()
{
}

#endif // _IIHPSEQ_INL_
