// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 42 1.3.1.2 source/core/collect/iikssseq.inl, collection, ioc.v400, 981126 
#ifndef _IIKSSSEQ_INL_
#define _IIKSSSEQ_INL_

// ---------------------------
// IKeySortedSetOnSequenceImpl
// ---------------------------

// public members

template <class Base>
inline void
IKeySortedSetOnSequenceImpl <Base>::
operator= (IKeySortedSetOnSequenceImpl <Base> const& collection)
{ BaseOf (*this).Base::operator= (BaseOf (collection));
}

// ---------------------------
// IAKeySortedSetOnSequenceOps
// ---------------------------

// public members

template <class Base>
inline
IAKeySortedSetOnSequenceOps <Base>::
~IAKeySortedSetOnSequenceOps ()
{
}

#endif // _IIKSSSEQ_INL_
