// ----------------------------------------------------------------------------
// FILE NAME: iintrst.inl
//
// DESCRIPTION:
//   This file contains the definition of the inline functions for the
//   classes declared in iintrst.hpp.
//
// COPYRIGHT:
//   IBM Open Class Library
//   Licensed Material - Property of IBM
//   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.
//
// Revision: 00 1.2 source/core/base/iintrst.inl, notification, ioc.v400, trackPseudoLevel 
// ----------------------------------------------------------------------------

#ifndef _IINTRST_INL_
#define _IINTRST_INL_

inline IBool IInterest::operator<(const IInterest& rhs) const
{
    return (fName < rhs.fName);
}

inline unsigned long hash(IInterest const& k, unsigned long n)
{
    return k.hashValue() % n;
}

#endif // _IINTRST_INL_
