#ifndef _IKSSTAB2_C_
#define _IKSSTAB2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <iksstab2.h>


template <class Element, class Key, class Imp>
  ITImpKeySortedSetAsTable< Element, Key, Imp>::ITImpKeySortedSetAsTable( unsigned long numberOfElements )
     : ITImpKeySet<Element, Key, Imp>( numberOfElements)
     {}

template <class Element, class Key, class Imp>
  ITImpKeySortedSetAsTable< Element, Key, Imp>::~ITImpKeySortedSetAsTable( )
{}

template <class Element, class Key>
  IKeySortedSetAsTable< Element, Key>::IKeySortedSetAsTable( unsigned long numberOfElements)
     : ITImpKeySortedSetAsTable<Element, Key, Element> ( numberOfElements)
{}


template <class Element, class Key>
  IKeySortedSetAsTable< Element, Key>::~IKeySortedSetAsTable( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element, class Key>
    IVPtrKeySortedSetAsTable< Element, Key>::IVPtrKeySortedSetAsTable( unsigned long numberOfElements)
       : ITImpKeySortedSetAsTable<Element, Key, void*> ( numberOfElements)
  {}


  template <class Element, class Key>
    IVPtrKeySortedSetAsTable< Element, Key>::~IVPtrKeySortedSetAsTable( )
  {}
#endif

#endif // _IKSSTAB2_C_
