// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 53 1.3.1.2 source/core/collect/irkeyset.inl, collection, ioc.v400, 981126  
#ifndef _IRKEYSET_INL_
#define _IRKEYSET_INL_

// ---
// IRKeySet
// ---

// public members

template <class Element, class Key, class Base>
inline
IRKeySet <Element, Key, Base>::
IRKeySet (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRKeySet <Element, Key, Base>&
IRKeySet <Element, Key, Base>::
operator= (IRKeySet
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRKEYSET_INL_
