// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 65 1.3.1.2 source/core/collect/irrel.inl, collection, ioc.v400, 981126  
#ifndef _IRREL_INL_
#define _IRREL_INL_

// ---
// IRRelation
// ---

// public members

template <class Element, class Key, class Base>
inline
IRRelation <Element, Key, Base>::
IRRelation (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Key, class Base>
inline IRRelation <Element, Key, Base>&
IRRelation <Element, Key, Base>::
operator= (IRRelation
            <Element, Key, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRREL_INL_
