// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 74 1.5.1.3 source/core/collect/irsrtrel.h, collection, ioc.v400, 981126 
#ifndef _IRSRTREL_
#define _IRSRTREL_

#include <ilanglvl.hpp>
#include <iasr.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key, class Base>
class IRSortedRelation : public IASortedRelation <Element, Key> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRSortedRelation
                            (Base&);

  IRSortedRelation <Element, Key, Base>&
           operator=        (IRSortedRelation
                              <Element, Key, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irsrtrel.inl>


#pragma info (restore)


#endif // _IRSRTREL_
