// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 76 1.5.1.3 source/core/collect/irsrtset.h, collection, ioc.v400, 981126 
#ifndef _IRSRTSET_
#define _IRSRTSET_

#include <ilanglvl.hpp>
#include <iass.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Base>
class IRSortedSet : public IASortedSet <Element> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRSortedSet
                            (Base&);

  IRSortedSet <Element, Base>&
           operator=        (IRSortedSet
                              <Element, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irsrtset.inl>


#pragma info (restore)


#endif // _IRSRTSET_
