// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 78 1.5.1.3 source/core/collect/irstack.h, collection, ioc.v400, 981126 
#ifndef _IRSTACK_
#define _IRSTACK_

#include <ilanglvl.hpp>
#include <iastk.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Base>
class IRStack : public IAStack <Element> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRStack
                            (Base&);

  IRStack <Element, Base>&
           operator=        (IRStack
                              <Element, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irstack.inl>


#pragma info (restore)


#endif // _IRSTACK_
