// Revision: 72 1.8 source/ui/baseapp/isldahdr.hpp, slidectls, ioc.v400, trackPseudoLevel 
#ifndef _ISLDAHDR_
   #define _ISLDAHDR_
/*******************************************************************************
* FILE NAME:  isldahdr.hpp                                                     *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ISliderArmHandler                                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>
#include <ictlevt.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ISliderArmHandler : public IHandler {
typedef IHandler
  Inherited;
public:
/*-------------------------- Constructors/Destructor -------------------------*/
virtual
  ~ISliderArmHandler ();

protected:
/*------------------------- Protected Constructor(s) -------------------------*/
  ISliderArmHandler  ();

/*---------------------------- Event Dispatching -----------------------------*/
virtual IBool
  dispatchHandlerEvent ( IEvent& event );

/*----------------------------- Event Processing -----------------------------*/
virtual IBool
  moving          (IControlEvent& event)  ,
  positionChanged (IControlEvent& event)  ;

};  // ISliderArmHandler

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISLDAHDR_ */
