#ifndef _ISM2_C_
#define _ISM2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ism2.h>


template <class Element, class Key, class Imp>
  ITImpSortedMap< Element, Key, Imp>::ITImpSortedMap( unsigned long numberOfElements )
     : ITImpKeySet<Element, Key, Imp>( numberOfElements)
     {}

template <class Element, class Key, class Imp>
  ITImpSortedMap< Element, Key, Imp>::~ITImpSortedMap( )
{}

template <class Element, class Key>
  ISortedMap< Element, Key>::ISortedMap( unsigned long numberOfElements)
     : ITImpSortedMap<Element, Key, Element> ( numberOfElements)
{}


template <class Element, class Key>
  ISortedMap< Element, Key>::~ISortedMap( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element, class Key>
    IVPtrSortedMap< Element, Key>::IVPtrSortedMap( unsigned long numberOfElements)
       : ITImpSortedMap<Element, Key, void*> ( numberOfElements)
  {}


  template <class Element, class Key>
    IVPtrSortedMap< Element, Key>::~IVPtrSortedMap( )
  {}
#endif

#endif // _ISM2_C_
