// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 82 1.4.1.3 source/core/collect/itree.h, collection, ioc.v400, 981126 
#ifndef _ITREE_
#define _ITREE_

#include <imwt.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class ElementOps, INumber numOfChildren>
class IGTree :
  public IGMultiwayTree <numOfChildren, Element, ElementOps> {

  typedef  IGMultiwayTree
            <numOfChildren, Element, ElementOps> Inherited;

public:

  IGTree <Element, ElementOps, numOfChildren>&
           operator=        (IGTree <Element, ElementOps,
                                     numOfChildren> const& tree)
           { Inherited::operator= (tree);
             return *this;
           }

protected:

private:









};

template <class Element, INumber numOfChildren>
class ITree :
  public IGTree <Element, IStdOps <Element>, numOfChildren> {
public:

protected:

private:








};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif






#pragma info (restore)


#endif // _ITREE_
