// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 24 1.4.1.3 source/core/collect/iaeqsrt.h, collection, ioc.v400, 981126 
#ifndef _IAEQSRT_
#define _IAEQSRT_

#include <iaequal.h>
#include <iasrt.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element>
class IAEqualitySortedCollection :
  public IAEqualityCollection <Element>,
  public IASortedCollection <Element>
{
  typedef  IACollectionImpl Implementation;

public:


           IAEqualitySortedCollection
                            (INotifier&);


          ~IAEqualitySortedCollection
                            ();

protected:

           IAEqualitySortedCollection
                            ();

           IAEqualitySortedCollection
                            (IAEqualitySortedCollection
                              <Element> const&);

private:








};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <iaeqsrt.inl>


#pragma info (restore)


#endif // _IAEQSRT_
