// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 31 1.4.1.3 source/core/collect/iahp.h, collection, ioc.v400, 981126 
#ifndef _IAHP_
#define _IAHP_

#include <iacllct.h>
#include <iiahp.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element>
class IAHeap :
  public IACollection <Element> {

  typedef  IACollection <Element> Inherited;

  typedef  IAHeapImpl Implementation;

public:


           IAHeap
                            (INotifier&);


          ~IAHeap
                            ();

protected:

           IAHeap
                            ();

           IAHeap
                            (IAHeap <Element> const&);

private:

  static
  Implementation&
           ImplOf           (IAHeap <Element> const&);









};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#include <iahp.inl>






#pragma info (restore)


#endif // _IAHP_
