#ifndef _IES2_C_
#define _IES2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <ies2.h>

template <class Element>
  IEqualitySequence< Element>::IEqualitySequence( unsigned long numberOfElements)
     : ITImpSequence<Element,  Element> ( numberOfElements)
{}

template <class Element>
  IEqualitySequence< Element>::~IEqualitySequence( )
{}



#ifdef IC_USE_STL_VPTR
  template <class Element>
    IVPtrEqualitySequence< Element>::IVPtrEqualitySequence( unsigned long numberOfElements)
       : ITImpSequence<Element,  void*> ( numberOfElements)
  {}

  template <class Element>
    IVPtrEqualitySequence< Element>::~IVPtrEqualitySequence( )
  {}
#endif

#endif // _IES2_C_
