// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 48 1.4.1.3 source/core/collect/iexctxt.h, collection, ioc.v400, 981126 
#ifndef _IEXCTXT_
#define _IEXCTXT_

#include <iiglobal.h>
#include <imsgtext.hpp>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)






#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC ICollectionExceptionText
{
public:

           ICollectionExceptionText
                            (unsigned long resourceId);

          ~ICollectionExceptionText
                            ();

  char const*
           text             () const;

           operator char const*
                            () const;

protected:

private:

  IMessageText* ivMsgTxt;

};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <iexctxt.inl>


#pragma info (restore)


#endif // _IEXCTXT_
