// Revision: 37 1.3.1.3 source/ui/baseapp/ipainhdr.c, genhdr, ioc.v400, trackPseudoLevel 
#ifndef _IPAINHDR_C_
#define _IPAINHDR_C_
/*******************************************************************************
* FILE NAME: ipainhdr.c                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the template functions                *
*   declared in ipainhdr.hpp.                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/
#include <ipainhdr.hpp>


template<class ATarget>
IPaintConnectionTo<ATarget>::IPaintConnectionTo( ATarget&       target,
                                                 MemberFunction memberFunction )
: fTarget(target), fConnectedMember( memberFunction )
{
}

template<class ATarget>
IPaintConnectionTo<ATarget>::~IPaintConnectionTo()
{
}

template<class ATarget>
IBool
IPaintConnectionTo<ATarget>::paintWindow( IPaintEvent& event )
{
    return ( fTarget.*fConnectedMember ) ( event );
}

#endif // _IPAINHDR_C_
