// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 49 1.3.1.2 source/core/collect/irheap.inl, collection, ioc.v400, 981126  
#ifndef _IRHEAP_INL_
#define _IRHEAP_INL_

// ---
// IRHeap
// ---

// public members

template <class Element, class Base>
inline
IRHeap <Element, Base>::
IRHeap (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRHeap <Element, Base>&
IRHeap <Element, Base>::
operator= (IRHeap
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRHEAP_INL_
