// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 72 1.5.1.3 source/core/collect/irsrtmap.h, collection, ioc.v400, 981126 
#ifndef _IRSRTMAP_
#define _IRSRTMAP_

#include <ilanglvl.hpp>
#include <iasm.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key, class Base>
class IRSortedMap : public IASortedMap <Element, Key> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRSortedMap
                            (Base&);

  IRSortedMap <Element, Key, Base>&
           operator=        (IRSortedMap
                              <Element, Key, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irsrtmap.inl>


#pragma info (restore)


#endif // _IRSRTMAP_
